%define modname swish
%define dirname %{modname}
%define soname %{modname}.so
%define inifile B08_%{modname}.ini

Summary:	Swish-e bindings
Name:		php-%{modname}
Version:	0.5.0
Release:	%mkrel 10
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/swish/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	swish-e-devel

%description
This extension provides bindings to the Swish-e API.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS README swish.php package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}





%changelog
* Fri Jan 24 2014 pterjan <pterjan> 0.5.0-10.mga4
+ Revision: 567627
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 0.5.0-9.mga4
+ Revision: 527872
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 0.5.0-8.mga4
+ Revision: 442698
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 0.5.0-7.mga3
+ Revision: 393326
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 0.5.0-6.mga3
+ Revision: 377604
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 spuhler <spuhler> 0.5.0-5.mga3
+ Revision: 275447
- upgrade to 0.4.0

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.4.0-10.mga2
+ Revision: 223938
- httpd restart is handled by filetriggers now

* Mon Feb 07 2011 spuhler <spuhler> 0.4.0-9.mga1
+ Revision: 48255
- removed buildroot definition from .spec
- imported package php-swish


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-9mdv2011.0
+ Revision: 629881
- rebuilt for php-5.3.5

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-8mdv2011.0
+ Revision: 628195
- ensure it's built without automake1.7

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-7mdv2011.0
+ Revision: 600537
- rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-6mdv2011.0
+ Revision: 588874
- rebuild

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-5mdv2010.1
+ Revision: 514664
- rebuilt for php-5.3.2

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-4mdv2010.1
+ Revision: 485489
- rebuilt for php-5.3.2RC1

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-3mdv2010.1
+ Revision: 468260
- rebuilt against php-5.3.1

* Wed Oct 07 2009 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-2mdv2010.0
+ Revision: 455463
- rebuild

* Tue Oct 06 2009 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-1mdv2010.0
+ Revision: 454759
- import php-swish


* Tue Oct 06 2009 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-1mdv2010.0
- initial Mandriva package
